# CUpti_ActivityObjectKindId Union Reference
[CUPTI Activity API]

Identifiers for object kinds as specified by CUpti_ActivityObjectKind. More...

## Data Fields
struct {
} | dcs
struct {
} | pt

## Detailed Description

See also:
  CUpti_ActivityObjectKind

## Field Documentation

struct { ... } CUpti_ActivityObjectKindId::dcs

A device object requires that we identify the device ID. A context object requires that we identify both the device and context ID. A stream object requires that we identify device, context, and stream ID.

struct { ... } CUpti_ActivityObjectKindId::pt

A process object requires that we identify the process ID. A thread object requires that we identify both the process and thread ID.